/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * CatalogBean.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class CatalogBean implements EntityBean
{
    public String ejbCreate(String name)
        throws CreateException
    {
        setName(name);

        return null;
    }

    public void ejbPostCreate(String name)
    {
    }

    public abstract void setName(String name);

    public abstract String getName();

    public abstract void setCatalogItems(Collection catalogItems);

    public abstract Collection getCatalogItems();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
